MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022832Community[OCCT] OCCT:Visualizationpublic2011-12-06 17:122014-04-24 09:20
Reporterszy 
Assigned Toaba 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.2 
Target Version[OCCT] 6.6.0Fixed in Version[OCCT] 6.6.0 
Summary0022832: Not documented limitation of Graphic3d_StructureManager
DescriptionPost from the Forum - http://www.opencascade.org/org/forum/thread_22291/. [^]
"Hi,

You can use "ImportExport" sample MFC application to reproduce this defect. Just keep clicking on new button in toolbar or new menu item until your application crashes.
There is no test data required. No drawing or anything is added to the project.
I have Windows XP installed and I'm building my application in Visual Studio 2005.
This problem is coming on both 32 bit and 64 bit machines.

Thanks & Regards,
Gaurav"
Steps To Reproduce1. Run ImportExport Sample.
2. Open 99 new documents ==> Ok.
3. Open 100-th new document:
 - Release mode => Crash
 - Debug mode => message "...Graphic3d_InitializationError: Too many ViewManagers are defined".
Additional information
and documentation updates
This behavior is result of the limitation of the current implementation:
==> #define StructureManager_MAX 100
This definition used in static array.
========================================
Suggestion.
1. The limitation should be documented
2. To be analyzed in order to define feasibility of the limitation removing.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
parent of 0022970closedaba Incorrect array use in Graphic3d_StructureManager.cxx 
related to 0024868assignedkgv Visulization, TKOpenGl - Exception when many views are created 

-  Notes
(0021650)
san (developer)
2012-10-04 11:32

The limitation is to be mentioned in V3d_Viewer, Visual3d_ViewManager and Graphic3d_StructureManager classes documentation, like this:

"Currently, creating more than 99 viewer instances is not supported and results in an exception. This limitation might be addressed in some future OCCT releases."
(0021924)
aba (developer)
2012-10-24 15:19

Information about viewers count limitation was added in V3d_Viewer, Visual3d_ViewManager and Graphic3d_StructureManager classes CDL documentation.
(0021925)
aba (developer)
2012-10-24 15:21

The Git branch CR22832 is ready to be reviewed.
Please review.
(0021978)
san (developer)
2012-10-26 23:42

Branch CR22832 reviewed without remarks, ready for testing.
(0022078)
apn (administrator)
2012-11-02 14:43

Dear BugMaster,
Branch CR22832 (and products from GIT master) was compiled on Linux and Windows platforms and tested.

Regression:
Not detected

Improvements:
Not detected

Testing case:
Not needed

- Related Changesets
occt: master bcfa72e4
Timestamp: 2012-10-24 11:12:38
Author: aba
Details ] Diff ]
0022832: Not documented limitation of Graphic3d_StructureManager

Added information about viewers count limitation in CDL documentation.
mod - src/Graphic3d/Graphic3d_StructureManager.cdl Diff ] File ]
mod - src/V3d/V3d_Viewer.cdl Diff ] File ]
mod - src/Visual3d/Visual3d_ViewManager.cdl Diff ] File ]

- Issue History
Date Modified Username Field Change
2011-12-06 17:12 szy New Issue
2011-12-06 17:12 szy Assigned To => san
2011-12-07 06:55 abv Target Version 6.5.3 => 6.5.4
2012-02-02 07:48 abv Relationship added parent of 0022970
2012-10-04 11:32 san Note Added: 0021650
2012-10-20 08:15 abv Target Version 6.5.4 => 6.6.0
2012-10-24 11:16 san Assigned To san => aba
2012-10-24 11:16 san Status new => assigned
2012-10-24 15:19 aba Note Added: 0021924
2012-10-24 15:21 aba Note Added: 0021925
2012-10-24 15:21 aba Status assigned => resolved
2012-10-24 15:21 aba Assigned To aba => san
2012-10-26 23:42 san Note Added: 0021978
2012-10-26 23:43 san Assigned To san => bugmaster
2012-10-26 23:43 san Status resolved => reviewed
2012-11-02 14:43 apn Note Added: 0022078
2012-11-02 14:44 apn Test case number => Not needed
2012-11-02 14:44 apn Status reviewed => tested
2012-11-16 13:03 aba Changeset attached => occt master bcfa72e4
2012-11-16 13:03 aba Assigned To bugmaster => aba
2012-11-16 13:03 aba Status tested => verified
2012-11-16 13:03 aba Resolution open => fixed
2012-12-10 17:16 aba Changeset attached => occt master bcfa72e4
2013-04-23 13:36 user533 Status verified => closed
2013-04-29 15:21 user533 Fixed in Version => 6.6.0
2014-04-24 09:20 abv Relationship added related to 0024868


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker